Summary:       A graphics library for quick creation of PNG or JPEG images
Name:          gd
Version:       2.3.3
Release:       3%{?dist}
License:       MIT
URL:           http://libgd.github.io/
Source0:       https://github.com/libgd/libgd/releases/download/gd-%{version}/libgd-%{version}.tar.xz
BuildRequires: zlib-devel, pkgconfig, libtool, make
BuildRequires: freetype-devel, gettext-devel, fontconfig-devel, liberation-sans-fonts
BuildRequires: libjpeg-devel, libpng-devel, libtiff-devel, libwebp-devel, libX11-devel, libXpm-devel
BuildRequires: perl-interpreter, perl-generators, perl(FindBin)

%description
GD is an open source code library for the dynamic creation of images by
programmers. GD is written in C, and "wrappers" are available for Perl,
PHP, ruby and many other bindings.

%package devel
Summary:  The development libraries and header files for gd
Requires: %{name} = %{version}-%{release}
Requires: freetype-devel, fontconfig-devel, libjpeg-devel, libpng-devel
Requires: libtiff-devel, libwebp-devel, libX11-devel, libXpm-devel, zlib-devel


%description devel
This package provides header files and libraries for developers who use
gd.

%prep
%setup -q -n libgd-%{version}

%build
autoreconf -vif

%ifarch aarch64 pc64le
# https://github.com/libgd/libgd/issues/278
export CFLAGS="$CFLAGS -ffp-contract=off"
%endif

%configure \
    --enable-gd-formats \
    --disable-rpath \
    --with-tiff=%{_prefix}
%make_build


%install
%make_install
rm -f %{buildroot}/%{_libdir}/libgd.{,l}a

%check
TMPDIR=/tmp make check

%files
%license COPYING
%{_bindir}/*
%{_libdir}/*.so.*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/gdlib.pc


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.3-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Jul 18 2022 cunshunxia <cunshunxia@tencent.com> - 2.3.3-1
- initial build
